
Redmine - Feature #16410

Bulk delete wiki attachments

2014-03-24 03:38 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

I have a bunch of image attachments that inserted into the wiki page.

It is necessary to provide way to bulk delete wiki attachments.

So that it is easy to update my wiki docs.

Related issues:

Related to Redmine - Feature #13072: Delete multiple attachments with one action Closed

Related to Redmine - Patch #32653: Fix random test failure due to missing cal... Closed

Associated revisions

Revision 17453 - 2018-07-25 16:35 - Go MAEDA

Bulk delete wiki attachments (#16410).

Patch by Mizuki ISHIKAWA.

History

#1 - 2014-04-22 00:38 - Toshi MARUYAMA

- Category set to Wiki

#2 - 2015-03-08 08:23 - Go MAEDA

- Related to Feature #13072: Delete multiple attachments with one action added

#3 - 2017-02-28 10:31 - Go MAEDA

Bulk deletion of issues attachments has been implemented by #13072 for upcoming 3.4.0, but it has not implemented for wiki pages.

#4 - 2018-06-19 08:56 - Mizuki ISHIKAWA

- File diff-r17405.patch added

- File changed_wiki.png added

This patch adds features similar to #13072 to the wiki.
changed_wiki.png 

#5 - 2018-06-27 14:49 - Go MAEDA

- Target version set to 4.1.0

It works fine for me and the code and the behavior are consistent with #13072. Setting target version to 4.1.0.

#6 - 2018-07-18 15:18 - Go MAEDA

- File 16410.patch added

I have slightly updated the patch diff-r17405.patch. I think fieldset.wiki-items is unnecessary and it looks a little bit awkward.

#7 - 2018-07-25 16:36 - Go MAEDA
- Category changed from Wiki to Attachments

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed

Committed. Thank you for improving Redmine.

#8 - 2018-07-26 02:20 - Go MAEDA

- Subject changed from Bulk delete wiki attachments. to Bulk delete wiki attachments

#9 - 2019-12-19 07:49 - Go MAEDA

- Related to Patch #32653: Fix random test failure due to missing call to set_tmp_attachments_directory in WikiControllerTest added

Files

diff-r17405.patch 5.8 KB 2018-06-19 Mizuki ISHIKAWA

changed_wiki.png 146 KB 2018-06-19 Mizuki ISHIKAWA

16410.patch 4.98 KB 2018-07-18 Go MAEDA
